{
    num: -32193,
    accuracy: 100,
    basePower: 55,
    category: "Physical",
    name: "Riptide",
    pp: 15,
    priority: 0,
    flags: { contact: 1, protect: 1, mirror: 1, metronome: 1 },
    onModifyPriority(priority, source, target, move) {
      if (["raindance", "primordialsea"].includes(source.effectiveWeather())) {
        return priority + 1;
      }
    },
    secondary: null,
    target: "normal",
    type: "Water",
    contestType: "Cool"
}